de.esprit.appsuite.nio.ndf

## Enum NdfStructureType

- java.lang.Object
- - java.lang.Enum<NdfStructureType>
  - - de.esprit.appsuite.nio.ndf.NdfStructureType

- All Implemented Interfaces:
    NdfConstants, java.io.Serializable, java.lang.Comparable<NdfStructureType>

      public enum NdfStructureType
      extends java.lang.Enum<NdfStructureType>
      implements NdfConstants

  This enum defines the supported data structure types
  Author:
    Rainer Buesch

- - ### Property Summary

    Properties
    Type | Property and Description
    --- | ---
    `boolean` | `is`
    `boolean` | `isStructured`

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ARRAY`
    `COMMENT_BLOCK`
    `DOCUMENT`
    `LIST`
    `OBJECT`
    `PROPERTY`
    `STRUCTURED_PROPERTY`
    `TABLE`
    `TEXT`

  - ### Field Summary

    - ### Fields inherited from interface de.esprit.appsuite.nio.ndf.NdfConstants

      `allowedInNames, blockCommentChar, booleanFalseChar, booleanFalseLiteral, booleanTrueChar, booleanTrueLiteral, currentNdfDocVersion, defaultTextEndChar, defaultTextParagraphChar, lineCommentChar, ndfDocAuthorKey, ndfDocCreatedKey, ndfDocEncodingKey, ndfDocTypeKey, ndfDocVersionKey, nullLiteral, quotingBreakCodes, standardBreakCodes, structureChar, textValueBreakCodes, validTextBreakSymbols`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NdfStructureType` | `fromString(java.lang.String structureKey)`
    `java.lang.String` | `getStructureKey()`
    `boolean` | `isArray()`
    `static boolean` | `isArrayKey(java.lang.String key)`
    `boolean` | `isCommentBlock()`
    `boolean` | `isDocument()`
    `static boolean` | `isListKey(java.lang.String key)`
    `boolean` | `isMainStructure()`
    `boolean` | `isObject()`
    `static boolean` | `isObjectKey(java.lang.String key)`
    `boolean` | `isProperty()`
    `boolean` | `isStructuredProperty()`
    `static boolean` | `isStructureKey(java.lang.String key)` Tells whether the given key starts with the structure-key symbol.
    `boolean` | `isTable()`
    `static boolean` | `isTableKey(java.lang.String key)`
    `boolean` | `isText()`
    `static boolean` | `isTextKey(java.lang.String key)`
    `static NdfStructureType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static NdfStructureType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OBJECT

          public static final NdfStructureType OBJECT

    - #### LIST

          public static final NdfStructureType LIST

    - #### TABLE

          public static final NdfStructureType TABLE

    - #### ARRAY

          public static final NdfStructureType ARRAY

    - #### TEXT

          public static final NdfStructureType TEXT

    - #### DOCUMENT

          public static final NdfStructureType DOCUMENT

    - #### PROPERTY

          public static final NdfStructureType PROPERTY

    - #### STRUCTURED_PROPERTY

          public static final NdfStructureType STRUCTURED_PROPERTY

    - #### COMMENT_BLOCK

          public static final NdfStructureType COMMENT_BLOCK

  - ### Property Detail

    - #### is

    - #### isStructured

  - ### Method Detail

    - #### values

          public static NdfStructureType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NdfStructureType c : NdfStructureType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NdfStructureType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isDocument

          public boolean isDocument()

    - #### isObject

          public boolean isObject()

    - #### isTable

          public boolean isTable()

    - #### isArray

          public boolean isArray()

    - #### isText

          public boolean isText()

    - #### isProperty

          public boolean isProperty()

    - #### isStructuredProperty

          public boolean isStructuredProperty()

    - #### isCommentBlock

          public boolean isCommentBlock()

    - #### isMainStructure

          public boolean isMainStructure()

    - #### getStructureKey

          public java.lang.String getStructureKey()

    - #### isStructureKey

          public static boolean isStructureKey(java.lang.String key)

      Tells whether the given key starts with the structure-key symbol.

    - #### isObjectKey

          public static boolean isObjectKey(java.lang.String key)

    - #### isTableKey

          public static boolean isTableKey(java.lang.String key)

    - #### isArrayKey

          public static boolean isArrayKey(java.lang.String key)

    - #### isListKey

          public static boolean isListKey(java.lang.String key)

    - #### isTextKey

          public static boolean isTextKey(java.lang.String key)

    - #### fromString

          public static NdfStructureType fromString(java.lang.String structureKey)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.